import { View, Text, Image, Canvas } from '@tarojs/components'
import React, { useMemo, useState, useEffect } from 'react'
import Taro from '@tarojs/taro'



export default (props) => {



  // let cvs =this.sharedCanvas.getContext('2d')

  useEffect(() => {
    Taro.nextTick(() => {
      setTimeout(() => {

        Taro.createSelectorQuery()
          .select('#CanvasAnotherClass')
          .fields({ node: true, size: true })
          .exec((res) => {
            const canvas = res[0].node

            const context = canvas.getContext('2d')


            const width = canvas.width = window.innerWidth;
            const height = canvas.height = window.innerHeight;


            // création d'un tableau
            let particle = [];
            const particleCount = 0;
            const gravity = 0.3;
            const colors = [
              '#f44336', '#e91e63', '#9c27b0', '#673ab7', '#3f51b5',
              '#2196f3', '#03a9f4', '#00bcd4', '#009688', '#4CAF50',
              '#8BC34A', '#CDDC39', '#FFEB3B', '#FFC107', '#FF9800',
              '#FF5722', '#795548', '#000000'
            ];



            for (var i = 0; i < 300; i++) {

              particle.push({
                x: width / 2,
                y: height / 2,
                boxW: randomRange(5, 20),
                boxH: randomRange(5, 20),
                size: randomRange(2, 8),

                spikeran: randomRange(3, 5),

                velX: randomRange(-8, 8),
                velY: randomRange(-50, -10),

                angle: convertToRadians(randomRange(0, 360)),
                color: colors[Math.floor(Math.random() * colors.length)],
                anglespin: randomRange(-0.2, 0.2),

                draw: function () {


                  context.save();
                  context.translate(this.x, this.y);
                  context.rotate(this.angle);
                  context.fillStyle = this.color;
                  context.beginPath();
                  // drawStar(0, 0, 5, this.boxW, this.boxH);
                  context.fillRect(this.boxW / 2 * -1, this.boxH / 2 * -1, this.boxW, this.boxH);
                  context.fill();
                  context.closePath();
                  context.restore();
                  this.angle += this.anglespin;
                  this.velY *= 0.999;
                  this.velY += 0.3;

                  this.x += this.velX;
                  this.y += this.velY;
                  if (this.y < 0) {
                    this.velY *= -0.2;
                    this.velX *= 0.9;
                  };
                  if (this.y > height) {
                    this.anglespin = 0;
                    this.y = height;
                    this.velY *= -0.2;
                    this.velX *= 0.9;
                  };
                  if (this.x > width || this.x < 0) {

                    this.velX *= -0.5;
                  };

                },


              });

            }
            const r1 = {
              x: width / 2 - 150,
              y: height / 2 - 150,

              velX: 0,
              velY: -10,
              alphatop: 0
            };


            function drawScreen() {
              const size = 50;
              const pFontName = "Lucida Sans Unicode";
              context.font = size + "pt " + pFontName;
              // context.fillText("Confetti party !!!", width / 2, 150);
              if (r1.alphatop < 1) {
                r1.alphatop += 0.01;
              } else {
                r1.alphatop = 1;
              }
              context.globalAlpha = r1.alphatop;
              context.textAlign = 'center';



              if (r1.alphatop === 1) {
                r1.velY *= 0.999;
                r1.velY += 0.3;

                r1.x += r1.velX;
                r1.y += r1.velY;
                setTimeout(() => {
                  particle = []

                }, 2700);

              }

              if (r1.y + r1.height > height) {
                r1.anglespin = 0;
                r1.y = height - r1.height;
                r1.velY *= -0.8;
                r1.velX *= 0.9;

              };

              context.globalAlpha = 1;
              for (var i = 0; i < particle.length; i++) {
                particle[i].draw();


              }

            }

            function update() {


              context.clearRect(0, 0, width, height);

              drawScreen();

              requestAnimationFrame(update);
            }

            update();


            function randomRange(min, max) {
              return min + Math.random() * (max - min);
            }



            function convertToRadians(degree) {
              return degree * (Math.PI / 180);

            }




          })
      }, 1000);



    })

  }, [])


  return (

    <Canvas id='CanvasAnotherClass' type='2d'></Canvas>

  )
}
