import { createStoreRoot, createModelHook, createStore } from '@zjxpcyc/react-tiny-store'

import useBar from './models/useBar'
import useFoo from './models/useFoo'

const store = createStore()
const models = {
  useBar,
  useFoo,
}
const StoreRoot = createStoreRoot(store, models)
const useModel = createModelHook(store)


export default store
export {
  StoreRoot,
  useModel,

}
