import React from 'react'
import { View } from '@tarojs/components'
import { Image } from '@antmjs/vantui'
import Crown from '@/components/assets/Crown.png'
import numFormat from '@/utils/numFormat'

import './style.less'

export default (props) => {
  const { list } = props
  console.log("🚀 ~ file: index.jsx ~ line 11 ~ list", list)


  return (

    <View className='section_3'>
      <View className='Top-Rank-one'>
        <View className='Top-name'>排名</View>
        <View className='Top-Number' >1</View>
      </View>
      <View className='section_1'>
        <Image className='section_img' src={Crown} />
        <image className='section2_img' src={list[0]?.avatar} />

        <View className='user-name'>{list[0]?.nickName} </View>
      </View>
      <View className='Shaking-box'>
        <View className='Shaking-name'>次数</View>
        <View className='Shaking-Number'>{numFormat(list[0]?.score)}</View>
      </View>
    </View>
  )
}
