import request from '@/utils/request'
/**
 * 登录
 * @param {*} id 
 * @returns 
 * loginParam
 */
export const userLogin = (code) => request(`/ma/login?code=${code}`, { method: 'post' })


/**
 * 授权头像
 * @param {*} data 
 * @returns 
 */
export const authAvatar = (data) => request('/ma/auth-user', { data, method: 'put' })

/**
 * 摇一摇结束
 * @param {*} data 
 * @returns 
 */
export const score = (data) => request('/ma/score', { data, method: 'post' })



/**
 * 摇一摇结束
 * @param {*} data 
 * @returns 
 */
export const scoreTop = () => request('/score/top',)

